Bug 1415474 - [RFE] accumulate per VM cpu_usage
Summary: [RFE] accumulate per VM cpu_usage
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Virt
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: bugs@ovirt.org
QA Contact: Shira Maximov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-22 11:34 UTC by Shira Maximov
Modified: 2017-11-16 14:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-16 14:16:18 UTC
oVirt Team: Virt
tjelinek: planning_ack?
tjelinek: devel_ack?
tjelinek: testing_ack?


Attachments (Terms of Use)

Description Shira Maximov 2017-01-22 11:34:35 UTC
Description of problem:

when searching cpu_usage>=0 and memory_usage >=0 , the query returns only the VMS that are UP and fits this query, 
but when searching network_usage >=0, the query returns all VMS, in all statuses that fits the query.

All search usages (network,cpu,memory) should be aligned, and return the VMS in all statuses 

Version-Release number of selected component (if applicable):
Red Hat Virtualization Manager Version: 4.1.0.1-0.1.el7


How reproducible:
100%

Steps to Reproduce:
1.Select Vms Tab in webadmin 
2.search cpu_usage>=0 , memory_usage >=0 and network_usage >=0
3.

Actual results:


Expected results:
All search usages (network,cpu,memory) should be aligned, and return the VMS in all statuses 

Additional info:

Comment 1 Michal Skrivanek 2017-08-22 08:00:19 UTC
we preserve network info on shutdown, but not cpu/mem usage. Moving to network for consideration of selectively removing usage data. Doesn't sound too interesting though...

Comment 2 Dan Kenigsberg 2017-08-22 19:41:40 UTC
I beg to differ. I think that (some) customers want to keep historical usage and to bill their users accordingly. I think that we should have accumulated cpu and iops. I understand that this is of a low priority, and would not be surprised if you CLOSE|DEFER it.

Comment 3 Yaniv Kaul 2017-11-16 14:16:18 UTC
(In reply to Dan Kenigsberg from comment #2)
> I beg to differ. I think that (some) customers want to keep historical usage
> and to bill their users accordingly. I think that we should have accumulated
> cpu and iops. I understand that this is of a low priority, and would not be
> surprised if you CLOSE|DEFER it.

Historical data does not belong in the main UI searches. It could be in the metrics store.

I don't see us spending time aligning this behavior (which I agree is not consistent though).


Note You need to log in before you can comment on or make changes to this bug.